/*
 *  PICSExtension.java
 *
 *  Copyright 1997 Massachusetts Institute of Technology.
 *  All Rights Reserved.
 *
 *  Author: Ora Lassila
 *
 *  $Id: PICSExtension.java,v 1.1 1997/04/15 20:39:25 yhchu Exp $
 */

package w3c.www.pics;

import java.net.URL;
import java.io.PrintStream;

public interface PICSExtension {

  public String toString();

  public boolean isOptional();

  public void setURL(URL url);

  public URL getURL();

  public void setOptional();
  
  public void setMandatory();

  public void printExpr(PrintStream out);

}
